Bug 202673 - [PATCH] net/jwhois: fix build
Summary: [PATCH] net/jwhois: fix build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-08-26 12:27 UTC by Carlos J Puga Medina
Modified: 2015-08-30 12:11 UTC (History)
1 user (show)

See Also:


Attachments
Patch (3.23 KB, patch)
2015-08-26 12:27 UTC, Carlos J Puga Medina
no flags Details | Diff
Patch (3.14 KB, patch)
2015-08-26 14:22 UTC, Carlos J Puga Medina
no flags Details | Diff
Patch (656 bytes, patch)
2015-08-30 08:47 UTC, Carlos J Puga Medina
no flags Details | Diff
poudriere testport on 93x64 without NLS active (37.67 KB, text/x-log)
2015-08-30 08:50 UTC, Carlos J Puga Medina
no flags Details
Patch (696 bytes, patch)
2015-08-30 11:41 UTC, Carlos J Puga Medina
no flags Details | Diff
poudriere testport on 93x64 without NLS active (37.79 KB, text/x-log)
2015-08-30 11:43 UTC, Carlos J Puga Medina
no flags Details
poudriere testport on 93x32 without NLS active (35.75 KB, text/x-log)
2015-08-30 11:43 UTC, Carlos J Puga Medina
no flags Details
poudriere testport on 10x32 without NLS active (37.75 KB, text/x-log)
2015-08-30 11:43 UTC, Carlos J Puga Medina
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos J Puga Medina 2015-08-26 12:27:53 UTC
Created attachment 160374 [details]
Patch

- Add libiconv dependency
- Regenerate patches to make portlint happy
- Bump PORTREVISION.
Comment 1 Carlos J Puga Medina 2015-08-26 14:22:55 UTC
Created attachment 160380 [details]
Patch
Comment 2 commit-hook freebsd_committer 2015-08-26 16:19:24 UTC
A commit references this bug:

Author: pi
Date: Wed Aug 26 16:19:21 UTC 2015
New revision: 395371
URL: https://svnweb.freebsd.org/changeset/ports/395371

Log:
  net/jwhois: added USES=iconv

  - Added USES=iconv
  - Regenerate patches to make portlint happy
  - Bump PORTREVISION

  PR:		202673
  Submitted by:	Carlos J Puga Medina <cpm@fbsd.es>

Changes:
  head/net/jwhois/files/patch-Makefile.in
  head/net/jwhois/files/patch-configure
  head/net/jwhois/files/patch-src_Makefile.in
  head/net/jwhois/files/patch-src_cache.c
Comment 3 Kurt Jaeger freebsd_committer 2015-08-26 16:19:52 UTC
Build-tests done, looks fine. Committed, thanks!
Comment 4 commit-hook freebsd_committer 2015-08-28 15:42:00 UTC
A commit references this bug:

Author: pi
Date: Fri Aug 28 15:41:16 UTC 2015
New revision: 395502
URL: https://svnweb.freebsd.org/changeset/ports/395502

Log:
  net/jwhois: really commit fix

  Missed Makefile during last commit

  PR:		202673
  Submitted by:	Carlos J Puga Medina <cpm@fbsd.es>

Changes:
  head/net/jwhois/Makefile
Comment 5 Kurt Jaeger freebsd_committer 2015-08-28 16:58:32 UTC
Alexey Kouznetsov reported that it does not build if NLS=off.
Comment 6 Carlos J Puga Medina 2015-08-28 17:13:38 UTC
(In reply to Kurt Jaeger from comment #5)

I checked and it build/install fine without NLS.
Comment 7 Carlos J Puga Medina 2015-08-28 17:37:42 UTC
# make -V CONFIGURE_ARGS
--localstatedir=/usr/local/var/jwhois --disable-nls --prefix=/usr/local ${_LATE_CONFIGURE_ARGS}
                                                                                                         # make check-plist
===>  License GPLv3 accepted by the user
===>  Found saved configuration for jwhois-4.0_4
===>   jwhois-4.0_4 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by jwhois-4.0_4 for building
===>  Extracting for jwhois-4.0_4
=> SHA256 Checksum OK for jwhois-4.0.tar.gz.
===>  Patching for jwhois-4.0_4
===>  Applying FreeBSD patches for jwhois-4.0_4
===>   jwhois-4.0_4 depends on executable: msgfmt - found
===>   jwhois-4.0_4 depends on executable: gmake - found
===>   jwhois-4.0_4 depends on package: libiconv>=1.14_8 - found
===>   jwhois-4.0_4 depends on shared library: libintl.so - found (/usr/local/lib/libintl.so)
===>  Configuring for jwhois-4.0_4
===>   FreeBSD 10 autotools fix applied to /usr/ports/net/jwhois/work/jwhois-4.0/config.rpath
configure: loading site script /usr/ports/Templates/config.site
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for gawk... (cached) /usr/bin/awk
checking whether gmake sets $(MAKE)... yes
checking for a BSD-compatible install... /usr/bin/install -c
checking for gcc... cc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables... 
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether cc accepts -g... yes
checking for cc option to accept ISO C89... none needed
checking for style of include used by gmake... GNU
checking dependency style of cc... gcc3
checking for ranlib... ranlib
checking whether NLS is requested... no
checking for msgfmt... /usr/local/bin/msgfmt
checking for gmsgfmt... /usr/local/bin/msgfmt
checking for xgettext... /usr/local/bin/xgettext
checking for msgmerge... /usr/local/bin/msgmerge
checking build system type... amd64-portbld-freebsd10.2
checking host system type... amd64-portbld-freebsd10.2
checking for ld used by GCC... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for shared library run path origin... done
checking for CFPreferencesCopyAppValue... no
checking for CFLocaleCopyCurrent... no
checking whether to use NLS... no
checking for iconv... yes
checking for iconv declaration... 
         extern size_t iconv (iconv_t cd, char * *inbuf, size_t *inbytesleft, char * *outbuf, size_t *outbytesleft);
checking for chgrp... /usr/bin/chgrp
checking for chmod... /bin/chmod
checking how to run the C preprocessor... cpp
checking for grep that handles long lines and -e... (cached) /usr/bin/grep
checking for egrep... (cached) /usr/bin/egrep
checking for ANSI C header files... (cached) yes
checking for sys/types.h... (cached) yes
checking for sys/stat.h... (cached) yes
checking for stdlib.h... (cached) yes
checking for string.h... (cached) yes
checking for memory.h... (cached) yes
checking for strings.h... (cached) yes
checking for inttypes.h... (cached) yes
checking for stdint.h... (cached) yes
checking for unistd.h... (cached) yes
checking whether byte ordering is bigendian... no
checking for connect... yes
checking for socket... yes
checking for getipnodebyname... yes
checking for getaddrinfo... (cached) yes
checking for gai_strerror... (cached) yes
checking for main in -linet6... no
checking for memcpy... (cached) yes
checking for strtol... (cached) yes
checking for strcasecmp... (cached) yes
checking for strncasecmp... (cached) yes
checking for getopt_long... yes
checking for ANSI C header files... (cached) yes
checking for sys/types.h... (cached) yes
checking for sys/socket.h... (cached) yes
checking for netinet/in.h... (cached) yes
checking for netdb.h... (cached) yes
checking for sys/time.h... (cached) yes
checking for sys/stat.h... (cached) yes
checking for sys/fcntl.h... (cached) yes
checking for malloc.h... (cached) no
checking locale.h usability... yes
checking locale.h presence... yes
checking for locale.h... yes
checking for stdint.h... (cached) yes
checking for inttypes.h... (cached) yes
checking idna.h usability... yes
checking idna.h presence... yes
checking for idna.h... yes
checking whether time.h and sys/time.h may both be included... yes
checking for inet_pton... yes
checking if inet_pton supports IPv6... yes
checking for idna.h... (cached) yes
checking for stringprep_check_version in -lidn... yes
checking if Libidn should be used... yes
checking for dbm_open... yes
checking gdbm.h usability... yes
checking gdbm.h presence... yes
checking for gdbm.h... yes
checking ndbm.h usability... yes
checking ndbm.h presence... yes
checking for ndbm.h... yes
checking dbm.h usability... no
checking dbm.h presence... no
checking for dbm.h... no
checking db1/ndbm.h usability... no
checking db1/ndbm.h presence... no
checking for db1/ndbm.h... no
checking for working alloca.h... no
checking for alloca... yes
checking whether snprintf is declared... (cached) yes
checking for stdio.h... (cached) yes
checking for EOVERFLOW... yes
checking for vasnprintf... no
checking for long long int... (cached) yes
checking for long double... yes
checking for wchar_t... (cached) yes
checking for wint_t... (cached) yes
checking for size_t... (cached) yes
checking for inttypes.h... (cached) yes
checking for stdint.h... (cached) yes
checking for intmax_t... (cached) yes
checking for inline... inline
checking for stdint.h... (cached) yes
checking for SIZE_MAX... (cached) yes
checking for snprintf... (cached) yes
checking absolute name of <stdio.h>... ///usr/include/stdio.h
checking for ptrdiff_t... (cached) yes
checking for snprintf... (cached) yes
checking for wcslen... (cached) yes
checking for stdint.h... (cached) yes
configure: creating ./config.status
config.status: creating po/Makefile.in
config.status: creating m4/Makefile
config.status: creating Makefile
config.status: creating doc/Makefile
config.status: creating doc/sv/Makefile
config.status: creating src/Makefile
config.status: creating gl/Makefile
config.status: creating example/Makefile
config.status: creating jwhois.spec
config.status: creating config.h
config.status: executing depfiles commands
config.status: executing po-directories commands
config.status: creating po/POTFILES
config.status: creating po/Makefile
===>  Building for jwhois-4.0_4
gmake[2]: Entering directory '/usr/ports/net/jwhois/work/jwhois-4.0'
gmake  all-recursive
gmake[3]: Entering directory '/usr/ports/net/jwhois/work/jwhois-4.0'
Making all in m4
gmake[4]: Entering directory '/usr/ports/net/jwhois/work/jwhois-4.0/m4'
gmake[4]: Nothing to be done for 'all'.
gmake[4]: Leaving directory '/usr/ports/net/jwhois/work/jwhois-4.0/m4'
Making all in doc
gmake[4]: Entering directory '/usr/ports/net/jwhois/work/jwhois-4.0/doc'
Making all in sv
gmake[5]: Entering directory '/usr/ports/net/jwhois/work/jwhois-4.0/doc/sv'
gmake[5]: Nothing to be done for 'all'.
gmake[5]: Leaving directory '/usr/ports/net/jwhois/work/jwhois-4.0/doc/sv'
gmake[5]: Entering directory '/usr/ports/net/jwhois/work/jwhois-4.0/doc'
gmake[5]: Nothing to be done for 'all-am'.
gmake[5]: Leaving directory '/usr/ports/net/jwhois/work/jwhois-4.0/doc'
gmake[4]: Leaving directory '/usr/ports/net/jwhois/work/jwhois-4.0/doc'
Making all in gl
gmake[4]: Entering directory '/usr/ports/net/jwhois/work/jwhois-4.0/gl'
{ echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */'; \
  cat ./alloca_.h; \
} > alloca.h-t
rm -f stdio.h-t stdio.h
{ echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */' && \
  sed -e 's|@''ABSOLUTE_STDIO_H''@|"///usr/include/stdio.h"|g' \
      -e 's|@''GNULIB_FPRINTF_POSIX''@|0|g' \
      -e 's|@''GNULIB_PRINTF_POSIX''@|0|g' \
      -e 's|@''GNULIB_SNPRINTF''@|1|g' \
      -e 's|@''GNULIB_SPRINTF_POSIX''@|0|g' \
      -e 's|@''GNULIB_VFPRINTF_POSIX''@|0|g' \
      -e 's|@''GNULIB_VPRINTF_POSIX''@|0|g' \
      -e 's|@''GNULIB_VSNPRINTF''@|0|g' \
      -e 's|@''GNULIB_VSPRINTF_POSIX''@|0|g' \
      -e 's|@''REPLACE_FPRINTF''@|0|g' \
      -e 's|@''REPLACE_VFPRINTF''@|0|g' \
      -e 's|@''REPLACE_PRINTF''@|0|g' \
      -e 's|@''REPLACE_VPRINTF''@|0|g' \
      -e 's|@''REPLACE_SNPRINTF''@|0|g' \
      -e 's|@''HAVE_DECL_SNPRINTF''@|1|g' \
      -e 's|@''REPLACE_VSNPRINTF''@|0|g' \
      -e 's|@''HAVE_DECL_VSNPRINTF''@|1|g' \
      -e 's|@''REPLACE_SPRINTF''@|0|g' \
      -e 's|@''REPLACE_VSPRINTF''@|0|g' \
      -e '/definition of GL_LINK_WARNING/r .././link-warning.h' \
      < ./stdio_.h; \
} > stdio.h-t
mv -f alloca.h-t alloca.h
mv stdio.h-t stdio.h
gmake  all-am
gmake[5]: Entering directory '/usr/ports/net/jwhois/work/jwhois-4.0/gl'
if cc -DHAVE_CONFIG_H -I. -I. -I..   -I/usr/local/include -DLIBICONV_PLUG  -O2 -pipe  -DLIBICONV_PLUG -fstack-protector -fno-strict-aliasing -MT dummy.o -MD -MP -MF ".deps/dummy.Tpo" -c -o dummy.o dummy.c; \
then mv -f ".deps/dummy.Tpo" ".deps/dummy.Po"; else rm -f ".deps/dummy.Tpo"; exit 1; fi
if cc -DHAVE_CONFIG_H -I. -I. -I..   -I/usr/local/include -DLIBICONV_PLUG  -O2 -pipe  -DLIBICONV_PLUG -fstack-protector -fno-strict-aliasing -MT asnprintf.o -MD -MP -MF ".deps/asnprintf.Tpo" -c -o asnprintf.o asnprintf.c; \
then mv -f ".deps/asnprintf.Tpo" ".deps/asnprintf.Po"; else rm -f ".deps/asnprintf.Tpo"; exit 1; fi
if cc -DHAVE_CONFIG_H -I. -I. -I..   -I/usr/local/include -DLIBICONV_PLUG  -O2 -pipe  -DLIBICONV_PLUG -fstack-protector -fno-strict-aliasing -MT printf-args.o -MD -MP -MF ".deps/printf-args.Tpo" -c -o printf-args.o printf-args.c; \
then mv -f ".deps/printf-args.Tpo" ".deps/printf-args.Po"; else rm -f ".deps/printf-args.Tpo"; exit 1; fi
if cc -DHAVE_CONFIG_H -I. -I. -I..   -I/usr/local/include -DLIBICONV_PLUG  -O2 -pipe  -DLIBICONV_PLUG -fstack-protector -fno-strict-aliasing -MT printf-parse.o -MD -MP -MF ".deps/printf-parse.Tpo" -c -o printf-parse.o printf-parse.c; \
then mv -f ".deps/printf-parse.Tpo" ".deps/printf-parse.Po"; else rm -f ".deps/printf-parse.Tpo"; exit 1; fi
if cc -DHAVE_CONFIG_H -I. -I. -I..   -I/usr/local/include -DLIBICONV_PLUG  -O2 -pipe  -DLIBICONV_PLUG -fstack-protector -fno-strict-aliasing -MT vasnprintf.o -MD -MP -MF ".deps/vasnprintf.Tpo" -c -o vasnprintf.o vasnprintf.c; \
then mv -f ".deps/vasnprintf.Tpo" ".deps/vasnprintf.Po"; else rm -f ".deps/vasnprintf.Tpo"; exit 1; fi
rm -f libgnu.a
ar cru libgnu.a dummy.o asnprintf.o printf-args.o printf-parse.o vasnprintf.o
ranlib libgnu.a
gmake[5]: Leaving directory '/usr/ports/net/jwhois/work/jwhois-4.0/gl'
gmake[4]: Leaving directory '/usr/ports/net/jwhois/work/jwhois-4.0/gl'
Making all in src
gmake[4]: Entering directory '/usr/ports/net/jwhois/work/jwhois-4.0/src'
if cc -DHAVE_CONFIG_H -I. -I. -I.. -I../include -I../intl -I../gl  -I/usr/local/include -DLIBICONV_PLUG -O2 -pipe  -DLIBICONV_PLUG -fstack-protector -fno-strict-aliasing -DSYSCONFDIR="\"/usr/local/etc\"" -DLOCALSTATEDIR="\"/usr/local/var/jwhois\"" -DLOCALEDIR="\"/usr/local/share/locale\"" -O2 -pipe  -DLIBICONV_PLUG -fstack-protector -fno-strict-aliasing -MT jwhois-dns.o -MD -MP -MF ".deps/jwhois-dns.Tpo" -c -o jwhois-dns.o `test -f 'dns.c' || echo './'`dns.c; \
then mv -f ".deps/jwhois-dns.Tpo" ".deps/jwhois-dns.Po"; else rm -f ".deps/jwhois-dns.Tpo"; exit 1; fi
if cc -DHAVE_CONFIG_H -I. -I. -I.. -I../include -I../intl -I../gl  -I/usr/local/include -DLIBICONV_PLUG -O2 -pipe  -DLIBICONV_PLUG -fstack-protector -fno-strict-aliasing -DSYSCONFDIR="\"/usr/local/etc\"" -DLOCALSTATEDIR="\"/usr/local/var/jwhois\"" -DLOCALEDIR="\"/usr/local/share/locale\"" -O2 -pipe  -DLIBICONV_PLUG -fstack-protector -fno-strict-aliasing -MT jwhois-lookup.o -MD -MP -MF ".deps/jwhois-lookup.Tpo" -c -o jwhois-lookup.o `test -f 'lookup.c' || echo './'`lookup.c; \
then mv -f ".deps/jwhois-lookup.Tpo" ".deps/jwhois-lookup.Po"; else rm -f ".deps/jwhois-lookup.Tpo"; exit 1; fi
if cc -DHAVE_CONFIG_H -I. -I. -I.. -I../include -I../intl -I../gl  -I/usr/local/include -DLIBICONV_PLUG -O2 -pipe  -DLIBICONV_PLUG -fstack-protector -fno-strict-aliasing -DSYSCONFDIR="\"/usr/local/etc\"" -DLOCALSTATEDIR="\"/usr/local/var/jwhois\"" -DLOCALEDIR="\"/usr/local/share/locale\"" -O2 -pipe  -DLIBICONV_PLUG -fstack-protector -fno-strict-aliasing -MT jwhois-init.o -MD -MP -MF ".deps/jwhois-init.Tpo" -c -o jwhois-init.o `test -f 'init.c' || echo './'`init.c; \
then mv -f ".deps/jwhois-init.Tpo" ".deps/jwhois-init.Po"; else rm -f ".deps/jwhois-init.Tpo"; exit 1; fi
if cc -DHAVE_CONFIG_H -I. -I. -I.. -I../include -I../intl -I../gl  -I/usr/local/include -DLIBICONV_PLUG -O2 -pipe  -DLIBICONV_PLUG -fstack-protector -fno-strict-aliasing -DSYSCONFDIR="\"/usr/local/etc\"" -DLOCALSTATEDIR="\"/usr/local/var/jwhois\"" -DLOCALEDIR="\"/usr/local/share/locale\"" -O2 -pipe  -DLIBICONV_PLUG -fstack-protector -fno-strict-aliasing -MT jwhois-utils.o -MD -MP -MF ".deps/jwhois-utils.Tpo" -c -o jwhois-utils.o `test -f 'utils.c' || echo './'`utils.c; \
then mv -f ".deps/jwhois-utils.Tpo" ".deps/jwhois-utils.Po"; else rm -f ".deps/jwhois-utils.Tpo"; exit 1; fi
if cc -DHAVE_CONFIG_H -I. -I. -I.. -I../include -I../intl -I../gl  -I/usr/local/include -DLIBICONV_PLUG -O2 -pipe  -DLIBICONV_PLUG -fstack-protector -fno-strict-aliasing -DSYSCONFDIR="\"/usr/local/etc\"" -DLOCALSTATEDIR="\"/usr/local/var/jwhois\"" -DLOCALEDIR="\"/usr/local/share/locale\"" -O2 -pipe  -DLIBICONV_PLUG -fstack-protector -fno-strict-aliasing -MT jwhois-gai_strerror.o -MD -MP -MF ".deps/jwhois-gai_strerror.Tpo" -c -o jwhois-gai_strerror.o `test -f 'gai_strerror.c' || echo './'`gai_strerror.c; \
then mv -f ".deps/jwhois-gai_strerror.Tpo" ".deps/jwhois-gai_strerror.Po"; else rm -f ".deps/jwhois-gai_strerror.Tpo"; exit 1; fi
utils.c:290:65: warning: passing 'int *' to parameter of type 'socklen_t *'
      (aka 'unsigned int *') converts between pointers to integer types with
      different sign [-Wpointer-sign]
      error = getsockopt(sockfd, SOL_SOCKET, SO_ERROR, &retval, &retlen);
                                                                ^~~~~~~
/usr/include/sys/socket.h:606:72: note: passing argument to parameter here
int     getsockopt(int, int, int, void * __restrict, socklen_t * __restrict);
                                                                           ^
if cc -DHAVE_CONFIG_H -I. -I. -I.. -I../include -I../intl -I../gl  -I/usr/local/include -DLIBICONV_PLUG -O2 -pipe  -DLIBICONV_PLUG -fstack-protector -fno-strict-aliasing -DSYSCONFDIR="\"/usr/local/etc\"" -DLOCALSTATEDIR="\"/usr/local/var/jwhois\"" -DLOCALEDIR="\"/usr/local/share/locale\"" -O2 -pipe  -DLIBICONV_PLUG -fstack-protector -fno-strict-aliasing -MT jwhois-regex.o -MD -MP -MF ".deps/jwhois-regex.Tpo" -c -o jwhois-regex.o `test -f 'regex.c' || echo './'`regex.c; \
then mv -f ".deps/jwhois-regex.Tpo" ".deps/jwhois-regex.Po"; else rm -f ".deps/jwhois-regex.Tpo"; exit 1; fi
if cc -DHAVE_CONFIG_H -I. -I. -I.. -I../include -I../intl -I../gl  -I/usr/local/include -DLIBICONV_PLUG -O2 -pipe  -DLIBICONV_PLUG -fstack-protector -fno-strict-aliasing -DSYSCONFDIR="\"/usr/local/etc\"" -DLOCALSTATEDIR="\"/usr/local/var/jwhois\"" -DLOCALEDIR="\"/usr/local/share/locale\"" -O2 -pipe  -DLIBICONV_PLUG -fstack-protector -fno-strict-aliasing -MT jwhois-getopt.o -MD -MP -MF ".deps/jwhois-getopt.Tpo" -c -o jwhois-getopt.o `test -f 'getopt.c' || echo './'`getopt.c; \
then mv -f ".deps/jwhois-getopt.Tpo" ".deps/jwhois-getopt.Po"; else rm -f ".deps/jwhois-getopt.Tpo"; exit 1; fi
1 warning generated.
if cc -DHAVE_CONFIG_H -I. -I. -I.. -I../include -I../intl -I../gl  -I/usr/local/include -DLIBICONV_PLUG -O2 -pipe  -DLIBICONV_PLUG -fstack-protector -fno-strict-aliasing -DSYSCONFDIR="\"/usr/local/etc\"" -DLOCALSTATEDIR="\"/usr/local/var/jwhois\"" -DLOCALEDIR="\"/usr/local/share/locale\"" -O2 -pipe  -DLIBICONV_PLUG -fstack-protector -fno-strict-aliasing -MT jwhois-getopt1.o -MD -MP -MF ".deps/jwhois-getopt1.Tpo" -c -o jwhois-getopt1.o `test -f 'getopt1.c' || echo './'`getopt1.c; \
then mv -f ".deps/jwhois-getopt1.Tpo" ".deps/jwhois-getopt1.Po"; else rm -f ".deps/jwhois-getopt1.Tpo"; exit 1; fi
if cc -DHAVE_CONFIG_H -I. -I. -I.. -I../include -I../intl -I../gl  -I/usr/local/include -DLIBICONV_PLUG -O2 -pipe  -DLIBICONV_PLUG -fstack-protector -fno-strict-aliasing -DSYSCONFDIR="\"/usr/local/etc\"" -DLOCALSTATEDIR="\"/usr/local/var/jwhois\"" -DLOCALEDIR="\"/usr/local/share/locale\"" -O2 -pipe  -DLIBICONV_PLUG -fstack-protector -fno-strict-aliasing -MT jwhois-jconfig.o -MD -MP -MF ".deps/jwhois-jconfig.Tpo" -c -o jwhois-jconfig.o `test -f 'jconfig.c' || echo './'`jconfig.c; \
then mv -f ".deps/jwhois-jconfig.Tpo" ".deps/jwhois-jconfig.Po"; else rm -f ".deps/jwhois-jconfig.Tpo"; exit 1; fi
regex.c:1638:17: warning: add explicit braces to avoid dangling else
      [-Wdangling-else]
                else
                ^
regex.c:1658if cc -DHAVE_CONFIG_H -I. -I. -I.. -I../include -I../intl -I../gl  -I/usr/local/include -DLIBICONV_PLUG -O2 -pipe  -DLIBICONV_PLUG -fstack-protector -fno-strict-aliasing -DSYSCONFDIR="\"/usr/local/etc\"" -DLOCALSTATEDIR="\"/usr/local/var/jwhois\"" -DLOCALEDIR="\"/usr/local/share/locale\"" -O2 -pipe  -DLIBICONV_PLUG -fstack-protector -fno-strict-aliasing -MT jwhois-string.o -MD -MP -MF ".deps/jwhois-string.Tpo" -c -o jwhois-string.o `test -f 'string.c' || echo './'`string.c; \
then mv -f ".deps/jwhois-string.Tpo" ".deps/jwhois-string.Po"; else rm -f ".deps/jwhois-string.Tpo"; exit 1; fi
:17: warning: add explicit braces to avoid dangling else
      [-Wdangling-else]
                else
                ^
jconfig.c:79:12: warning: cast to 'char *' from smaller integer type 'int'
      [-Wint-to-pointer-cast]
      if ( (char *)strcasecmp(ptr->domain, domain) == 0)
           ^
jconfig.c:81:9: warning: cast to 'char *' from smaller integer type 'int'
      [-Wint-to-pointer-cast]
          if ( (char *)strcasecmp(ptr->key, key) == 0)
               ^
jconfig.c:106:12: warning: cast to 'char *' from smaller integer type 'int'
      [-Wint-to-pointer-cast]
      if ( (char *)strcasecmp(jconfig_tmpptr->domain, domain) == 0)
           ^
jconfig.c:133:12: warning: cast to 'char *' from smaller integer type 'int'
      [-Wint-to-pointer-cast]
      if ( (char *)strncasecmp(jconfig_tmpptr->domain, domain, strlen(do...
           ^
regex.c:2843:33: warning: expression which evaluates to zero treated as a null
      pointer constant of type 'regoff_t *' (aka 'int *')
      [-Wnon-literal-null-conversion]
if cc -DHAVE_CONFIG_H -I. -I. -I.. -I../include -I../intl -I../gl  -I/usr/local/include -DLIBICONV_PLUG -O2 -pipe  -DLIBICONV_PLUG -fstack-protector -fno-strict-aliasing -DSYSCONFDIR="\"/usr/local/etc\"" -DLOCALSTATEDIR="\"/usr/local/var/jwhois\"" -DLOCALEDIR="\"/usr/local/share/locale\"" -O2 -pipe  -DLIBICONV_PLUG -fstack-protector -fno-strict-aliasing -MT jwhois-cache.o -MD -MP -MF ".deps/jwhois-cache.Tpo" -c -o jwhois-cache.o `test -f 'cache.c' || echo './'`cache.c; \
then mv -f ".deps/jwhois-cache.Tpo" ".deps/jwhois-cache.Po"; else rm -f ".deps/jwhois-cache.Tpo"; exit 1; fi
      regs->start = regs->end = (regoff_t) 0;
                                ^~~~~~~~~~~~
regex.c:3781:19: warning: cast to 'fail_stack_elt_t' (aka
      'const unsigned char *') from smaller integer type 'unsigned int'
      [-Wint-to-pointer-cast]
                  PUSH_FAILURE_POINT (p1 + mcnt, d, -2);
                  ^
regex.c:2416:5: note: expanded from macro 'PUSH_FAILURE_POINT'
    PUSH_FAILURE_ITEM (lowest_active_reg);                              \
    ^
regex.c:2337:42: note: expanded from macro 'PUSH_FAILURE_ITEM'
  fail_stack.stack[fail_stack.avail++] = (fail_stack_elt_t) item
                                         ^
regex.c:3781:19: warning: cast to 'fail_stack_elt_t' (aka
      'const unsigned char *') from smaller integer type 'unsigned int'
      [-Wint-to-pointer-cast]
regex.c:2419:5: note: expanded from macro 'PUSH_FAILURE_POINT'
    PUSH_FAILURE_ITEM (highest_active_reg);                             \
    ^
regex.c:2337:42: note: expanded from macro 'PUSH_FAILURE_ITEM'
  fail_stack.stack[fail_stack.avail++] = (fail_stack_elt_t) item
                                         ^
regex.c:3928:11: warning: cast to 'fail_stack_elt_t' (aka
      'const unsigned char *') from smaller integer type 'unsigned int'
      [-Wint-to-pointer-cast]
          PUSH_FAILURE_POINT (p + mcnt, NULL, -2);
          ^
regex.c:2416:5: note: expanded from macro 'PUSH_FAILURE_POINT'
    PUSH_FAILURE_ITEM (lowest_active_reg);                              \
    ^
regex.c:2337:42: note: expanded from macro 'PUSH_FAILURE_ITEM'
  fail_stack.stack[fail_stack.avail++] = (fail_stack_elt_t) item
                                         ^
regex.c:3928:11: warning: cast to 'fail_stack_elt_t' (aka
      'const unsigned char *') from smaller integer type 'unsigned int'
      [-Wint-to-pointer-cast]
regex.c:2419:5: note: expanded from macro 'PUSH_FAILURE_POINT'
    PUSH_FAILURE_ITEM (highest_active_reg);                             \
    ^
regex.c:2337:42: note: expanded from macro 'PUSH_FAILURE_ITEM'
  fail_stack.stack[fail_stack.avail++] = (fail_stack_elt_t) item
                                         ^
regex.c:3981cache.c:252:21: warning: equality comparison with extraneous parentheses
      [-Wparentheses-equality]
:11: warning: cast to 'fail_stack_elt_t' (aka
      'const unsigned char *') from smaller integer type 'unsigned int'
      [-Wint-to-pointer-cast]
          PUSH_FAILURE_POINT (p + mcnt, d, -2);
          ^
regex.c:2416:5: note: expanded from macro 'PUSH_FAILURE_POINT'
  if ((dbstore.dptr == NULL))    PUSH_FAILURE_ITEM (lowest_active_reg);                              \
    ^
regex.c:2337:42: note: expanded from macro 'PUSH_FAILURE_ITEM'

       ~~~~~~~~~~~~~^~~~~~~
cache.c:252:21: note: remove extraneous parentheses around the comparison to
      silence this warning
  if ((dbstore.dptr == NULL))
      ~             ^      ~
cache.c:252:21: note: use '=' to turn this equality comparison into an
      assignment
  if ((dbstore.dptr == NULL))
                    ^~
                    =
  fail_stack.stack[fail_stack.avail++] = (fail_stack_elt_t) item
                                         ^
regex.c:3981:11: warning: cast to 'fail_stack_elt_t' (aka
      'const unsigned char *') from smaller integer type 'unsigned int'
      [-Wint-to-pointer-cast]
regex.c:2419:5: note: expanded from macro 'PUSH_FAILURE_POINT'
    PUSH_FAILURE_ITEM (highest_active_reg);                             \
    ^
regex.c:2337:42: note: expanded from macro 'PUSH_FAILURE_ITEM'
  fail_stack.stack[fail_stack.avail++] = (fail_stack_elt_t) item
                                         ^
regex.c:4120:11: warning: cast to 'fail_stack_elt_t' (aka
      'const unsigned char *') from smaller integer type 'unsigned int'
      [-Wint-to-pointer-cast]
          PUSH_FAILURE_POINT (0, 0, -2);
          ^
regex.c:2416:5: note: expanded from macro 'PUSH_FAILURE_POINT'
    PUSH_FAILURE_ITEM (lowest_active_reg);                              \
    ^
regex.c:2337:42: note: expanded from macro 'PUSH_FAILURE_ITEM'
  fail_stack.stack[fail_stack.avail++] = (fail_stack_elt_t) item
                                         ^
regex.c:4120:11: warning: cast to 'fail_stack_elt_t' (aka
      'const unsigned char *') from smaller integer type 'unsigned int'
      [-Wint-to-pointer-cast]
regex.c:2419:5: note: expanded from macro 'PUSH_FAILURE_POINT'
    PUSH_FAILURE_ITEM (highest_active_reg);                             \
    ^
regex.c:2337:42: note: expanded from macro 'PUSH_FAILURE_ITEM'
  fail_stack.stack[fail_stack.avail++] = (fail_stack_elt_t) item
                                         ^
regex.c:4133:11: warning: cast to 'fail_stack_elt_t' (aka
      'const unsigned char *') from smaller integer type 'unsigned int'
      [-Wint-to-pointer-cast]
          PUSH_FAILURE_POINT (0, 0, -2);
          ^
regex.c:2416:5: note: expanded from macro 'PUSH_FAILURE_POINT'
    PUSH_FAILURE_ITEM (lowest_active_reg);                              \
    ^
regex.c:2337:42: note: expanded from macro 'PUSH_FAILURE_ITEM'
  fail_stack.stack[fail_stack.avail++] = (fail_stack_elt_t) item
                                         ^
regex.c:4133:11: warning: cast to 'fail_stack_elt_t' (aka
      'const unsigned char *') from smaller integer type 'unsigned int'
      [-Wint-to-pointer-cast]
regex.c:2419:5: note: expanded from macro 'PUSH_FAILURE_POINT'
    PUSH_FAILURE_ITEM (highest_active_reg);                             \
    ^
regex.c:2337:42: note: expanded from macro 'PUSH_FAILURE_ITEM'
  fail_stack.stack[fail_stack.avail++] = (fail_stack_elt_t) item
                                         ^
1 warning generated.
4 warnings generated.
if cc -DHAVE_CONFIG_H -I. -I. -I.. -I../include -I../intl -I../gl  -I/usr/local/include -DLIBICONV_PLUG -O2 -pipe  -DLIBICONV_PLUG -fstack-protector -fno-strict-aliasing -DSYSCONFDIR="\"/usr/local/etc\"" -DLOCALSTATEDIR="\"/usr/local/var/jwhois\"" -DLOCALEDIR="\"/usr/local/share/locale\"" -O2 -pipe  -DLIBICONV_PLUG -fstack-protector -fno-strict-aliasing -MT jwhois-rwhois.o -MD -MP -MF ".deps/jwhois-rwhois.Tpo" -c -o jwhois-rwhois.o `test -f 'rwhois.c' || echo './'`rwhois.c; \
then mv -f ".deps/jwhois-rwhois.Tpo" ".deps/jwhois-rwhois.Po"; else rm -f ".deps/jwhois-rwhois.Tpo"; exit 1; fi
if cc -DHAVE_CONFIG_H -I. -I. -I.. -I../include -I../intl -I../gl  -I/usr/local/include -DLIBICONV_PLUG -O2 -pipe  -DLIBICONV_PLUG -fstack-protector -fno-strict-aliasing -DSYSCONFDIR="\"/usr/local/etc\"" -DLOCALSTATEDIR="\"/usr/local/var/jwhois\"" -DLOCALEDIR="\"/usr/local/share/locale\"" -O2 -pipe  -DLIBICONV_PLUG -fstack-protector -fno-strict-aliasing -MT jwhois-jwhois.o -MD -MP -MF ".deps/jwhois-jwhois.Tpo" -c -o jwhois-jwhois.o `test -f 'jwhois.c' || echo './'`jwhois.c; \
then mv -f ".deps/jwhois-jwhois.Tpo" ".deps/jwhois-jwhois.Po"; else rm -f ".deps/jwhois-jwhois.Tpo"; exit 1; fi
if cc -DHAVE_CONFIG_H -I. -I. -I.. -I../include -I../intl -I../gl  -I/usr/local/include -DLIBICONV_PLUG -O2 -pipe  -DLIBICONV_PLUG -fstack-protector -fno-strict-aliasing -DSYSCONFDIR="\"/usr/local/etc\"" -DLOCALSTATEDIR="\"/usr/local/var/jwhois\"" -DLOCALEDIR="\"/usr/local/share/locale\"" -O2 -pipe  -DLIBICONV_PLUG -fstack-protector -fno-strict-aliasing -MT jwhois-whois.o -MD -MP -MF ".deps/jwhois-whois.Tpo" -c -o jwhois-whois.o `test -f 'whois.c' || echo './'`whois.c; \
then mv -f ".deps/jwhois-whois.Tpo" ".deps/jwhois-whois.Po"; else rm -f ".deps/jwhois-whois.Tpo"; exit 1; fi
jwhois.c:97:3: warning: implicit declaration of function 'timeout_init' is
      invalid in C99 [-Wimplicit-function-declaration]
  timeout_init();
  ^
if cc -DHAVE_CONFIG_H -I. -I. -I.. -I../include -I../intl -I../gl  -I/usr/local/include -DLIBICONV_PLUG -O2 -pipe  -DLIBICONV_PLUG -fstack-protector -fno-strict-aliasing -DSYSCONFDIR="\"/usr/local/etc\"" -DLOCALSTATEDIR="\"/usr/local/var/jwhois\"" -DLOCALEDIR="\"/usr/local/share/locale\"" -O2 -pipe  -DLIBICONV_PLUG -fstack-protector -fno-strict-aliasing -MT jwhois-http.o -MD -MP -MF ".deps/jwhois-http.Tpo" -c -o jwhois-http.o `test -f 'http.c' || echo './'`http.c; \
then mv -f ".deps/jwhois-http.Tpo" ".deps/jwhois-http.Po"; else rm -f ".deps/jwhois-http.Tpo"; exit 1; fi
1 warning generated.
13 warnings generated.
cc -O2 -pipe  -DLIBICONV_PLUG -fstack-protector -fno-strict-aliasing -DSYSCONFDIR="\"/usr/local/etc\"" -DLOCALSTATEDIR="\"/usr/local/var/jwhois\"" -DLOCALEDIR="\"/usr/local/share/locale\"" -O2 -pipe  -DLIBICONV_PLUG -fstack-protector -fno-strict-aliasing  -L/usr/local/lib -fstack-protector -o jwhois -L/usr/local/lib -fstack-protector  jwhois-dns.o jwhois-lookup.o jwhois-init.o jwhois-utils.o jwhois-gai_strerror.o jwhois-regex.o jwhois-getopt.o jwhois-getopt1.o jwhois-jconfig.o jwhois-string.o jwhois-cache.o jwhois-rwhois.o jwhois-jwhois.o jwhois-whois.o jwhois-http.o ../gl/libgnu.a -lidn
gmake[4]: Leaving directory '/usr/ports/net/jwhois/work/jwhois-4.0/src'
Making all in po
gmake[4]: Entering directory '/usr/ports/net/jwhois/work/jwhois-4.0/po'
gmake[4]: Nothing to be done for 'all'.
gmake[4]: Leaving directory '/usr/ports/net/jwhois/work/jwhois-4.0/po'
gmake[4]: Entering directory '/usr/ports/net/jwhois/work/jwhois-4.0'
gmake[4]: Leaving directory '/usr/ports/net/jwhois/work/jwhois-4.0'
gmake[3]: Leaving directory '/usr/ports/net/jwhois/work/jwhois-4.0'
gmake[2]: Leaving directory '/usr/ports/net/jwhois/work/jwhois-4.0'
===>  Staging for jwhois-4.0_4
===>   jwhois-4.0_4 depends on executable: indexinfo - found
===>   Generating temporary packing list
gmake[2]: Entering directory '/usr/ports/net/jwhois/work/jwhois-4.0'
gmake  INSTALL_PROGRAM="/bin/sh /usr/ports/net/jwhois/work/jwhois-4.0/install-sh -c -s" \
  install_sh_PROGRAM="/bin/sh /usr/ports/net/jwhois/work/jwhois-4.0/install-sh -c -s" INSTALL_STRIP_FLAG=-s \
  `test -z '' || \
    echo "INSTALL_PROGRAM_ENV=STRIPPROG=''"` install
gmake[3]: Entering directory '/usr/ports/net/jwhois/work/jwhois-4.0'
Making install in m4
gmake[4]: Entering directory '/usr/ports/net/jwhois/work/jwhois-4.0/m4'
gmake[5]: Entering directory '/usr/ports/net/jwhois/work/jwhois-4.0/m4'
gmake[5]: Nothing to be done for 'install-exec-am'.
gmake[5]: Nothing to be done for 'install-data-am'.
gmake[5]: Leaving directory '/usr/ports/net/jwhois/work/jwhois-4.0/m4'
gmake[4]: Leaving directory '/usr/ports/net/jwhois/work/jwhois-4.0/m4'
Making install in doc
gmake[4]: Entering directory '/usr/ports/net/jwhois/work/jwhois-4.0/doc'
Making install in sv
gmake[5]: Entering directory '/usr/ports/net/jwhois/work/jwhois-4.0/doc/sv'
gmake[6]: Entering directory '/usr/ports/net/jwhois/work/jwhois-4.0/doc/sv'
gmake[6]: Nothing to be done for 'install-exec-am'.
test -z "/usr/local/man/sv/man1" || /bin/sh ../../mkinstalldirs "/usr/ports/net/jwhois/work/stage/usr/local/man/sv/man1"
mkdir /usr/ports/net/jwhois/work/stage/usr/local/man/sv
mkdir /usr/ports/net/jwhois/work/stage/usr/local/man/sv/man1
 install  -m 0644 './jwhois.1' '/usr/ports/net/jwhois/work/stage/usr/local/man/sv/man1/jwhois.1'
gmake[6]: Leaving directory '/usr/ports/net/jwhois/work/jwhois-4.0/doc/sv'
gmake[5]: Leaving directory '/usr/ports/net/jwhois/work/jwhois-4.0/doc/sv'
gmake[5]: Entering directory '/usr/ports/net/jwhois/work/jwhois-4.0/doc'
gmake[6]: Entering directory '/usr/ports/net/jwhois/work/jwhois-4.0/doc'
gmake[6]: Nothing to be done for 'install-exec-am'.
test -z "/usr/local/info/" || /bin/sh ../mkinstalldirs "/usr/ports/net/jwhois/work/stage/usr/local/info/"
 install  -m 0644 './jwhois.info' '/usr/ports/net/jwhois/work/stage/usr/local/info//jwhois.info'
 install-info --info-dir='/usr/ports/net/jwhois/work/stage/usr/local/info/' '/usr/ports/net/jwhois/work/stage/usr/local/info//jwhois.info'
test -z "/usr/local/man/man1" || /bin/sh ../mkinstalldirs "/usr/ports/net/jwhois/work/stage/usr/local/man/man1"
 install  -m 0644 './jwhois.1' '/usr/ports/net/jwhois/work/stage/usr/local/man/man1/jwhois.1'
gmake[6]: Leaving directory '/usr/ports/net/jwhois/work/jwhois-4.0/doc'
gmake[5]: Leaving directory '/usr/ports/net/jwhois/work/jwhois-4.0/doc'
gmake[4]: Leaving directory '/usr/ports/net/jwhois/work/jwhois-4.0/doc'
Making install in gl
gmake[4]: Entering directory '/usr/ports/net/jwhois/work/jwhois-4.0/gl'
gmake  install-am
gmake[5]: Entering directory '/usr/ports/net/jwhois/work/jwhois-4.0/gl'
gmake[6]: Entering directory '/usr/ports/net/jwhois/work/jwhois-4.0/gl'
gmake[6]: Nothing to be done for 'install-exec-am'.
gmake[6]: Nothing to be done for 'install-data-am'.
gmake[6]: Leaving directory '/usr/ports/net/jwhois/work/jwhois-4.0/gl'
gmake[5]: Leaving directory '/usr/ports/net/jwhois/work/jwhois-4.0/gl'
gmake[4]: Leaving directory '/usr/ports/net/jwhois/work/jwhois-4.0/gl'
Making install in src
gmake[4]: Entering directory '/usr/ports/net/jwhois/work/jwhois-4.0/src'
gmake[5]: Entering directory '/usr/ports/net/jwhois/work/jwhois-4.0/src'
test -z "/usr/local/bin" || /bin/sh ../mkinstalldirs "/usr/ports/net/jwhois/work/stage/usr/local/bin"
  /bin/sh /usr/ports/net/jwhois/work/jwhois-4.0/install-sh -c -s 'jwhois' '/usr/ports/net/jwhois/work/stage/usr/local/bin/jwhois'
gmake[5]: Nothing to be done for 'install-data-am'.
gmake[5]: Leaving directory '/usr/ports/net/jwhois/work/jwhois-4.0/src'
gmake[4]: Leaving directory '/usr/ports/net/jwhois/work/jwhois-4.0/src'
Making install in po
gmake[4]: Entering directory '/usr/ports/net/jwhois/work/jwhois-4.0/po'
if test "jwhois" = "gettext-tools"; then \
  /bin/sh /usr/ports/net/jwhois/work/jwhois-4.0/install-sh -d /usr/ports/net/jwhois/work/stage/usr/local/share/gettext/po; \
  for file in Makefile.in.in remove-potcdate.sin quot.sed boldquot.sed en@quot.header en@boldquot.header insert-header.sin Rules-quot   Makevars.template; do \
    install  -m 0644 ./$file \
		    /usr/ports/net/jwhois/work/stage/usr/local/share/gettext/po/$file; \
  done; \
  for file in Makevars; do \
    rm -f /usr/ports/net/jwhois/work/stage/usr/local/share/gettext/po/$file; \
  done; \
else \
  : ; \
fi
gmake[4]: Leaving directory '/usr/ports/net/jwhois/work/jwhois-4.0/po'
gmake[4]: Entering directory '/usr/ports/net/jwhois/work/jwhois-4.0'
gmake[5]: Entering directory '/usr/ports/net/jwhois/work/jwhois-4.0'
gmake[5]: Nothing to be done for 'install-exec-am'.
gmake[5]: Nothing to be done for 'install-data-am'.
gmake[5]: Leaving directory '/usr/ports/net/jwhois/work/jwhois-4.0'
gmake[4]: Leaving directory '/usr/ports/net/jwhois/work/jwhois-4.0'
gmake[3]: Leaving directory '/usr/ports/net/jwhois/work/jwhois-4.0'
gmake[2]: Leaving directory '/usr/ports/net/jwhois/work/jwhois-4.0'
/bin/mkdir -p /usr/ports/net/jwhois/work/stage/usr/local/var/jwhois
install  -m 0644 /usr/ports/net/jwhois/files/jwhois.conf /usr/ports/net/jwhois/work/stage/usr/local/etc/jwhois.conf.sample
====> Compressing man pages (compress-man)
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for items in pkg-plist which are not in STAGEDIR
===> No pkg-plist issues found (check-plist)
Comment 8 Kurt Jaeger freebsd_committer 2015-08-29 12:03:20 UTC
He reported the problem occurs on 9.3-amd64 with NLS off
Comment 9 Kurt Jaeger freebsd_committer 2015-08-29 12:04:28 UTC
I can reproduce this in poudriere:

http://people.freebsd.org/~pi/logs/net__jwhois-93a-1440849686.txt
Comment 10 Carlos J Puga Medina 2015-08-30 08:47:59 UTC
Created attachment 160516 [details]
Patch

- Add missing libidn dependency
- Fix build on 9.3/amd64
Comment 11 Carlos J Puga Medina 2015-08-30 08:50:14 UTC
Created attachment 160517 [details]
poudriere testport on 93x64 without NLS active
Comment 12 Kurt Jaeger freebsd_committer 2015-08-30 09:10:57 UTC
It now builds on 9.3, but fails on 10 and current, always the same error:

http://people.freebsd.org/~pi/logs/net__jwhois-10a-1440925555.txt
Comment 13 Carlos J Puga Medina 2015-08-30 09:17:15 UTC
(In reply to Kurt Jaeger from comment #12)

I'm checking it now, probably it needs USE_GCC=4.8+ for some releases
Comment 14 Carlos J Puga Medina 2015-08-30 11:11:40 UTC
(In reply to Carlos J Puga Medina from comment #13)

No. The problem was adding -liconv to LDFLAGS
Comment 15 Carlos J Puga Medina 2015-08-30 11:41:11 UTC
Created attachment 160518 [details]
Patch
Comment 16 Carlos J Puga Medina 2015-08-30 11:43:02 UTC
Created attachment 160519 [details]
poudriere testport on 93x64 without NLS active
Comment 17 Carlos J Puga Medina 2015-08-30 11:43:30 UTC
Created attachment 160520 [details]
poudriere testport on 93x32 without NLS active
Comment 18 Carlos J Puga Medina 2015-08-30 11:43:55 UTC
Created attachment 160521 [details]
poudriere testport on 10x32 without NLS active
Comment 19 commit-hook freebsd_committer 2015-08-30 12:10:16 UTC
A commit references this bug:

Author: pi
Date: Sun Aug 30 12:09:57 UTC 2015
New revision: 395615
URL: https://svnweb.freebsd.org/changeset/ports/395615

Log:
  net/jwhois: fix all build issues with/without NLS

  PR:		202673
  Submitted by:	Carlos J Puga Medina <cpm@fbsd.es>

Changes:
  head/net/jwhois/Makefile
Comment 20 Kurt Jaeger freebsd_committer 2015-08-30 12:11:20 UTC
Tested with/without NLS on cur, 10a, 93a, 10i. Committed, thanks.